> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Provides a paginated list of box packages in an inbound plan.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/boxes

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-inbound-plan-boxes

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

### Query parameters

- `pageSize` (integer, optional) — The number of boxes to return in the response matching the given query.
- `paginationToken` (string, optional) — A token to fetch a certain page when there are multiple pages worth of results.

## Response

### 200

Success

- `boxes` (list of Box, required) — A list of boxes in an inbound plan.
- `pagination` (Pagination, optional) — Contains tokens to fetch from a certain page.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### Box

Contains information about a box used in the inbound plan.

- `packageId` (string, required) — Primary key to uniquely identify a Package (Box or Pallet).
- `boxId` (string, optional) — The ID provided by Walmart that identifies a given box.
- `contentInformationSource` (enum, optional) — Indication of how box content is meant to be provided.
  - Allowed values: `BOX_CONTENT_PROVIDED`, `MANUAL_PROCESS`, `BARCODE_2D`
- `destinationRegion` (Region, optional) — Representation of a location used within the inbounding experience.
- `dimensions` (Dimensions, optional) — Measurement of a package's dimensions.
- `externalContainerIdentifier` (string, optional) — The external identifier for this container / box.
- `externalContainerIdentifierType` (string, optional) — Type of the external identifier used. Can be: `WALMART`, `SSCC`.
- `items` (list of schemas-Item, optional) — Items contained within the box.
- `quantity` (integer, optional) — The number of containers where all other properties like weight or dimensions are identical.
- `templateName` (string, optional) — Template name of the box.
- `weight` (Weight, optional) — The weight of a package.

### Pagination

Contains tokens to fetch from a certain page.

- `nextToken` (string, optional) — When present, pass this string token in the next request to return the next response page.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Region

Representation of a location used within the inbounding experience.

- `countryCode` (string, optional) — ISO 3166 standard alpha-2 country code.
- `state` (string, optional) — State.
- `warehouseId` (string, optional) — An identifier for a Ship Node.

### Dimensions

Measurement of a package's dimensions.

- `height` (double, required) — The height of a package.
- `length` (double, required) — The length of a package.
- `width` (double, required) — The width of a package.
- `unitOfMeasurement` (enum, required) — Unit of linear measure.
  - Allowed values: `IN`, `CM`

### schemas-Item

Information associated with a single SKU in the seller's catalog.

- `msku` (string, required) — The merchant-defined SKU ID.
- `labelOwner` (string, required) — Specifies who will label the items. Options include `SELLER` and `NONE`.
- `prepInstructions` (list of PrepInstruction, required) — Special preparations that are required for an item.
- `quantity` (integer, required) — The number of the specified MSKU.
- `expiration` (string, optional) — The expiration date of the MSKU. In ISO 8601 date format with pattern `YYYY-MM-DD`. The same MSKU with different expiration dates cannot go into the same box.
- `manufacturingLotCode` (string, optional) — The manufacturing lot code.

### Weight

The weight of a package.

- `unit` (enum, required) — Unit of the weight being measured.
  - Allowed values: `LB`, `KG`
- `value` (double, required) — Value of a weight.

### PrepInstruction

Information pertaining to the preparation of inbound goods.

- `fee` (Currency, optional) — The type and amount of currency.
- `prepOwner` (string, optional) — Owner of the preparations. Options include `SELLER` or `NONE`.
- `prepType` (string, optional) — Type of preparation that should be done.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

## Examples

**Response**

```json
{
  "boxes": [
    {
      "packageId": "string",
      "boxId": "string",
      "contentInformationSource": "BOX_CONTENT_PROVIDED",
      "destinationRegion": {
        "countryCode": "string",
        "state": "string",
        "warehouseId": "string"
      },
      "dimensions": {
        "height": 1.1,
        "length": 1.1,
        "width": 1.1,
        "unitOfMeasurement": "IN"
      },
      "externalContainerIdentifier": "string",
      "externalContainerIdentifierType": "string",
      "items": [
        {
          "msku": "string",
          "labelOwner": "string",
          "prepInstructions": [
            {
              "fee": {
                "amount": 1.1,
                "code": "string"
              },
              "prepOwner": "string",
              "prepType": "string"
            }
          ],
          "quantity": 1,
          "expiration": "string",
          "manufacturingLotCode": "string"
        }
      ],
      "quantity": 1,
      "templateName": "string",
      "weight": {
        "unit": "LB",
        "value": 1.1
      }
    }
  ],
  "pagination": {
    "nextToken": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/boxes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```